Bug 704705 - Review Request: perl-Parallel-Iterator - Simple parallel execution
Summary: Review Request: perl-Parallel-Iterator - Simple parallel execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Parallel-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-14 08:45 UTC by Iain Arnell
Modified: 2011-05-27 20:24 UTC (History)
3 users (show)

Fixed In Version: perl-Parallel-Iterator-1.00-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 03:10:37 UTC
emmanuel: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-05-14 08:45:12 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Parallel-Iterator.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Parallel-Iterator-1.00-1.fc16.src.rpm

Description:
The map function applies a user supplied transformation function to
each element in a list, returning a new list containing the
transformed elements.

This module provides a 'parallel map'. Multiple worker processes are forked so
that many instances of the transformation function may be executed
simultaneously.

For time consuming operations, particularly operations that spend most of their
time waiting for I/O, this is a big performance win. It also provides a simple
idiom to make effective use of multi CPU systems.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3071853

*rt-0.10_01

Comment 1 Emmanuel Seyman 2011-05-14 21:21:55 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-05-14 21:39:19 UTC
=== KEY ===

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3072333

 [x] Rpmlint output:
perl-Parallel-Iterator.src: W: spelling-error %description -l en_US multi -> mulch, mufti
perl-Parallel-Iterator.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
None defined in spec file, default used.
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
879051d329ea79f59eb4b03bb0bf7c87  Parallel-Iterator-1.00.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3072333
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=9, Tests=29,  1 wallclock secs ( 0.04 usr  0.02 sys +  1.24 cusr  0.49 csys =  1.79 CPU)
Result: PASS

APPROVED.

Comment 3 Iain Arnell 2011-05-15 08:09:23 UTC
New Package SCM Request
=======================
Package Name: perl-Parallel-Iterator
Short Description: Simple parallel execution
Owners: iarnell
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-05-18 22:23:38 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-05-19 03:14:26 UTC
perl-Parallel-Iterator-1.00-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Parallel-Iterator-1.00-1.fc15

Comment 6 Fedora Update System 2011-05-19 03:14:34 UTC
perl-Parallel-Iterator-1.00-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Parallel-Iterator-1.00-1.fc14

Comment 7 Fedora Update System 2011-05-19 03:14:42 UTC
perl-Parallel-Iterator-1.00-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Parallel-Iterator-1.00-1.fc13

Comment 8 Fedora Update System 2011-05-19 21:55:54 UTC
perl-Parallel-Iterator-1.00-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 9 Fedora Update System 2011-05-25 03:10:31 UTC
perl-Parallel-Iterator-1.00-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-05-27 20:23:46 UTC
perl-Parallel-Iterator-1.00-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 11 Fedora Update System 2011-05-27 20:23:58 UTC
perl-Parallel-Iterator-1.00-1.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.